/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TSAFEAUDITINSDEL")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tsafeauditinsdel.findAll", query = "SELECT t FROM Tsafeauditinsdel t"),
    @NamedQuery(name = "Tsafeauditinsdel.findByChangedate", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.tsafeauditinsdelPK.changedate = :changedate"),
    @NamedQuery(name = "Tsafeauditinsdel.findByTablename", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.tsafeauditinsdelPK.tablename = :tablename"),
    @NamedQuery(name = "Tsafeauditinsdel.findByPartitiondb", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.tsafeauditinsdelPK.partitiondb = :partitiondb"),
    @NamedQuery(name = "Tsafeauditinsdel.findByRealdate", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.tsafeauditinsdelPK.realdate = :realdate"),
    @NamedQuery(name = "Tsafeauditinsdel.findByCompanycode", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.companycode = :companycode"),
    @NamedQuery(name = "Tsafeauditinsdel.findByOfficecode", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.officecode = :officecode"),
    @NamedQuery(name = "Tsafeauditinsdel.findByBranchcode", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.branchcode = :branchcode"),
    @NamedQuery(name = "Tsafeauditinsdel.findByTerminalcode", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.terminalcode = :terminalcode"),
    @NamedQuery(name = "Tsafeauditinsdel.findByUsercode", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.usercode = :usercode"),
    @NamedQuery(name = "Tsafeauditinsdel.findByTransactionmodule", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.transactionmodule = :transactionmodule"),
    @NamedQuery(name = "Tsafeauditinsdel.findByTransactioncode", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.transactioncode = :transactioncode"),
    @NamedQuery(name = "Tsafeauditinsdel.findByTransactionversion", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.transactionversion = :transactionversion"),
    @NamedQuery(name = "Tsafeauditinsdel.findByIsinsert", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.isinsert = :isinsert"),
    @NamedQuery(name = "Tsafeauditinsdel.findByIsdelete", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.isdelete = :isdelete"),
    @NamedQuery(name = "Tsafeauditinsdel.findByAccount", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.account = :account"),
    @NamedQuery(name = "Tsafeauditinsdel.findByPersoncode", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.personcode = :personcode"),
    @NamedQuery(name = "Tsafeauditinsdel.findBySolicitudenumber", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.solicitudenumber = :solicitudenumber"),
    @NamedQuery(name = "Tsafeauditinsdel.findByBrowser", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.browser = :browser"),
    @NamedQuery(name = "Tsafeauditinsdel.findByOperativsystem", query = "SELECT t FROM Tsafeauditinsdel t WHERE t.operativsystem = :operativsystem")})
public class Tsafeauditinsdel implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected TsafeauditinsdelPK tsafeauditinsdelPK;
    @Basic(optional = false)
    @Column(name = "COMPANYCODE")
    private long companycode;
    @Column(name = "OFFICECODE")
    private Short officecode;
    @Column(name = "BRANCHCODE")
    private Short branchcode;
    @Column(name = "TERMINALCODE")
    private String terminalcode;
    @Basic(optional = false)
    @Column(name = "USERCODE")
    private String usercode;
    @Basic(optional = false)
    @Column(name = "TRANSACTIONMODULE")
    private String transactionmodule;
    @Basic(optional = false)
    @Column(name = "TRANSACTIONCODE")
    private short transactioncode;
    @Basic(optional = false)
    @Column(name = "TRANSACTIONVERSION")
    private short transactionversion;
    @Column(name = "ISINSERT")
    private String isinsert;
    @Column(name = "ISDELETE")
    private String isdelete;
    @Lob
    @Column(name = "RECVALUE")
    private String recvalue;
    @Column(name = "ACCOUNT")
    private String account;
    @Column(name = "PERSONCODE")
    private Long personcode;
    @Column(name = "SOLICITUDENUMBER")
    private String solicitudenumber;
    @Column(name = "BROWSER")
    private String browser;
    @Column(name = "OPERATIVSYSTEM")
    private String operativsystem;

    public Tsafeauditinsdel() {
    }

    public Tsafeauditinsdel(TsafeauditinsdelPK tsafeauditinsdelPK) {
        this.tsafeauditinsdelPK = tsafeauditinsdelPK;
    }

    public Tsafeauditinsdel(TsafeauditinsdelPK tsafeauditinsdelPK, long companycode, String usercode, String transactionmodule, short transactioncode, short transactionversion) {
        this.tsafeauditinsdelPK = tsafeauditinsdelPK;
        this.companycode = companycode;
        this.usercode = usercode;
        this.transactionmodule = transactionmodule;
        this.transactioncode = transactioncode;
        this.transactionversion = transactionversion;
    }

    public Tsafeauditinsdel(Date changedate, String tablename, String partitiondb, Date realdate) {
        this.tsafeauditinsdelPK = new TsafeauditinsdelPK(changedate, tablename, partitiondb, realdate);
    }

    public TsafeauditinsdelPK getTsafeauditinsdelPK() {
        return tsafeauditinsdelPK;
    }

    public void setTsafeauditinsdelPK(TsafeauditinsdelPK tsafeauditinsdelPK) {
        this.tsafeauditinsdelPK = tsafeauditinsdelPK;
    }

    public long getCompanycode() {
        return companycode;
    }

    public void setCompanycode(long companycode) {
        this.companycode = companycode;
    }

    public Short getOfficecode() {
        return officecode;
    }

    public void setOfficecode(Short officecode) {
        this.officecode = officecode;
    }

    public Short getBranchcode() {
        return branchcode;
    }

    public void setBranchcode(Short branchcode) {
        this.branchcode = branchcode;
    }

    public String getTerminalcode() {
        return terminalcode;
    }

    public void setTerminalcode(String terminalcode) {
        this.terminalcode = terminalcode;
    }

    public String getUsercode() {
        return usercode;
    }

    public void setUsercode(String usercode) {
        this.usercode = usercode;
    }

    public String getTransactionmodule() {
        return transactionmodule;
    }

    public void setTransactionmodule(String transactionmodule) {
        this.transactionmodule = transactionmodule;
    }

    public short getTransactioncode() {
        return transactioncode;
    }

    public void setTransactioncode(short transactioncode) {
        this.transactioncode = transactioncode;
    }

    public short getTransactionversion() {
        return transactionversion;
    }

    public void setTransactionversion(short transactionversion) {
        this.transactionversion = transactionversion;
    }

    public String getIsinsert() {
        return isinsert;
    }

    public void setIsinsert(String isinsert) {
        this.isinsert = isinsert;
    }

    public String getIsdelete() {
        return isdelete;
    }

    public void setIsdelete(String isdelete) {
        this.isdelete = isdelete;
    }

    public String getRecvalue() {
        return recvalue;
    }

    public void setRecvalue(String recvalue) {
        this.recvalue = recvalue;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public Long getPersoncode() {
        return personcode;
    }

    public void setPersoncode(Long personcode) {
        this.personcode = personcode;
    }

    public String getSolicitudenumber() {
        return solicitudenumber;
    }

    public void setSolicitudenumber(String solicitudenumber) {
        this.solicitudenumber = solicitudenumber;
    }

    public String getBrowser() {
        return browser;
    }

    public void setBrowser(String browser) {
        this.browser = browser;
    }

    public String getOperativsystem() {
        return operativsystem;
    }

    public void setOperativsystem(String operativsystem) {
        this.operativsystem = operativsystem;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tsafeauditinsdelPK != null ? tsafeauditinsdelPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tsafeauditinsdel)) {
            return false;
        }
        Tsafeauditinsdel other = (Tsafeauditinsdel) object;
        if ((this.tsafeauditinsdelPK == null && other.tsafeauditinsdelPK != null) || (this.tsafeauditinsdelPK != null && !this.tsafeauditinsdelPK.equals(other.tsafeauditinsdelPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tsafeauditinsdel[ tsafeauditinsdelPK=" + tsafeauditinsdelPK + " ]";
    }
    
}
